Subject: RE: [clisp-list] Compiling CLISP with cygwin mingw, and CVS stran geness

From: "Ribeiro, Glauber" <[email-masked]>
Date: Fri Aug 16 08:04:06 2002

-----Original Message-----
From: Sam Steingold [mailto:[email-masked]]
Sent: Friday, August 16, 2002 9:55 AM
To: Ribeiro, Glauber
Cc: [email-masked]'
Subject: Re: [clisp-list] Compiling CLISP with cygwin mingw, and CVS
strangeness

[...]

] 
] > against this tree, CVS adds another CR at the end of each line (i end
] > up with CR+LF+CR), which messes up cygwin's bash. I was able to go
] > around this by using "cvs get -kb", but i wonder why it happened. Is
] > it possible that the tree was transferred by FTP in ASCII mode to a
] > Windows machine before it was tarred?
] 
] when you installed cygwin, did you tell it to use "LF" or "CR/LF" line
] termination mode?

LF, i think.

] > (2) I tried running "configure --with-mingw" (under Cygwin's bash
] > shell). It took just over 2 1/2 hours (!!!) to run in my 200MHz PII
] > with Windows 98.
] 
] ouch!  how much RAM do you have?!

192MB

] > When it finally finished, it looks like it didn't find a lot of
] > important stuff (e.g.: sockets), and i ended up with an incomplete set
] > of make files.
] 
] what does "incomplete set of make files" mean?
] you could not build?
] what error messages?

I haven't been able to really run a make yet, since the configure
took all my time yesterday (will try tonight). But the first
problem i found was that makemake was empty (other than for the
comment that it was generated from makemake.in). I copied
makemake.in to makemake, and that generated a Makefile. If i have
time, i'll try it tonight. It's hard to experiment too much, since
configure takes too long and i can't interrupt it without having
to start again from the beginning. I'm thinking i won't be able
to do this compile.

During the configure step, it was "not finding" a lot of
important stuff (like sockets, both IPv4 and IPv6).

[...]

g